Package io.dapr.v1

# Interface CommonProtos.InvokeRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.InvokeRequest`, `CommonProtos.InvokeRequest.Builder`

Enclosing class:
  CommonProtos

    public static interface CommonProtos.InvokeRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContentType()` | The type of data content.
  `com.google.protobuf.ByteString` | `getContentTypeBytes()` | The type of data content.
  `com.google.protobuf.Any` | `getData()` | Required.
  `com.google.protobuf.AnyOrBuilder` | `getDataOrBuilder()` | Required.
  `CommonProtos.HTTPExtension` | `getHttpExtension()` | HTTP specific fields if request conveys http-compatible request.
  `CommonProtos.HTTPExtensionOrBuilder` | `getHttpExtensionOrBuilder()` | HTTP specific fields if request conveys http-compatible request.
  `java.lang.String` | `getMethod()` | Required.
  `com.google.protobuf.ByteString` | `getMethodBytes()` | Required.
  `boolean` | `hasData()` | Required.
  `boolean` | `hasHttpExtension()` | HTTP specific fields if request conveys http-compatible request.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getMethod

    java.lang.String getMethod()

         Required. method is a method name which will be invoked by caller.

    `string method = 1;`
    Returns:
      The method.

  - ### getMethodBytes

    com.google.protobuf.ByteString getMethodBytes()

         Required. method is a method name which will be invoked by caller.

    `string method = 1;`
    Returns:
      The bytes for method.

  - ### hasData

    boolean hasData()

         Required. Bytes value or Protobuf message which caller sent.
         Dapr treats Any.value as bytes type if Any.type_url is unset.

    `.google.protobuf.Any data = 2;`
    Returns:
      Whether the data field is set.

  - ### getData

    com.google.protobuf.Any getData()

         Required. Bytes value or Protobuf message which caller sent.
         Dapr treats Any.value as bytes type if Any.type_url is unset.

    `.google.protobuf.Any data = 2;`
    Returns:
      The data.

  - ### getDataOrBuilder

    com.google.protobuf.AnyOrBuilder getDataOrBuilder()

         Required. Bytes value or Protobuf message which caller sent.
         Dapr treats Any.value as bytes type if Any.type_url is unset.

    `.google.protobuf.Any data = 2;`

  - ### getContentType

    java.lang.String getContentType()

         The type of data content.
         This field is required if data delivers http request body
         Otherwise, this is optional.

    `string content_type = 3;`
    Returns:
      The contentType.

  - ### getContentTypeBytes

    com.google.protobuf.ByteString getContentTypeBytes()

         The type of data content.
         This field is required if data delivers http request body
         Otherwise, this is optional.

    `string content_type = 3;`
    Returns:
      The bytes for contentType.

  - ### hasHttpExtension

    boolean hasHttpExtension()

         HTTP specific fields if request conveys http-compatible request.
         This field is required for http-compatible request. Otherwise,
         this field is optional.

    `.dapr.proto.common.v1.HTTPExtension http_extension = 4;`
    Returns:
      Whether the httpExtension field is set.

  - ### getHttpExtension

    CommonProtos.HTTPExtension getHttpExtension()

         HTTP specific fields if request conveys http-compatible request.
         This field is required for http-compatible request. Otherwise,
         this field is optional.

    `.dapr.proto.common.v1.HTTPExtension http_extension = 4;`
    Returns:
      The httpExtension.

  - ### getHttpExtensionOrBuilder

    CommonProtos.HTTPExtensionOrBuilder getHttpExtensionOrBuilder()

         HTTP specific fields if request conveys http-compatible request.
         This field is required for http-compatible request. Otherwise,
         this field is optional.

    `.dapr.proto.common.v1.HTTPExtension http_extension = 4;`